org.keycloak.services.x509

## Class AbstractClientCertificateFromHttpHeadersLookupFactory

- java.lang.Object
- - org.keycloak.services.x509.AbstractClientCertificateFromHttpHeadersLookupFactory

- All Implemented Interfaces:
    ProviderFactory<X509ClientCertificateLookup>, X509ClientCertificateLookupFactory
  Direct Known Subclasses:
    ApacheProxySslClientCertificateLookupFactory, HaProxySslClientCertificateLookupFactory, NginxProxySslClientCertificateLookupFactory

      public abstract class AbstractClientCertificateFromHttpHeadersLookupFactory
      extends Object
      implements X509ClientCertificateLookupFactory

  Since:
    4/4/2017
  Version:
    $Revision: 1 $
  Author:
    Peter Nalyvayko

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `CERTIFICATE_CHAIN_LENGTH`
    `protected int` | `certificateChainLength`
    `protected static String` | `HTTP_HEADER_CERT_CHAIN_PREFIX`
    `protected static String` | `HTTP_HEADER_CLIENT_CERT`
    `protected String` | `sslChainHttpHeaderPrefix`
    `protected String` | `sslClientCertHttpHeader`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractClientCertificateFromHttpHeadersLookupFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` This is called when the server shuts down.
    `void` | `init(Config.Scope config)` Only called once when the factory is first created.
    `void` | `postInit(KeycloakSessionFactory factory)` Called after all provider factories have been initialized

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `create, getId, order`

- - ### Field Detail

    - #### CERTIFICATE_CHAIN_LENGTH

          protected static final String CERTIFICATE_CHAIN_LENGTH

      See Also:
        Constant Field Values

    - #### HTTP_HEADER_CLIENT_CERT

          protected static final String HTTP_HEADER_CLIENT_CERT

      See Also:
        Constant Field Values

    - #### HTTP_HEADER_CERT_CHAIN_PREFIX

          protected static final String HTTP_HEADER_CERT_CHAIN_PREFIX

      See Also:
        Constant Field Values

    - #### sslClientCertHttpHeader

          protected String sslClientCertHttpHeader

    - #### sslChainHttpHeaderPrefix

          protected String sslChainHttpHeaderPrefix

    - #### certificateChainLength

          protected int certificateChainLength

  - ### Constructor Detail

    - #### AbstractClientCertificateFromHttpHeadersLookupFactory

          public AbstractClientCertificateFromHttpHeadersLookupFactory()

  - ### Method Detail

    - #### init

          public void init(Config.Scope config)

      Description copied from interface: `ProviderFactory`
      Only called once when the factory is first created. This config is pulled from keycloak_server.json
      Specified by:
        `init` in interface `ProviderFactory<X509ClientCertificateLookup>`

    - #### postInit

          public void postInit(KeycloakSessionFactory factory)

      Description copied from interface: `ProviderFactory`
      Called after all provider factories have been initialized
      Specified by:
        `postInit` in interface `ProviderFactory<X509ClientCertificateLookup>`

    - #### close

          public void close()

      Description copied from interface: `ProviderFactory`
      This is called when the server shuts down.
      Specified by:
        `close` in interface `ProviderFactory<X509ClientCertificateLookup>`

Copyright © 2020 JBoss by Red Hat. All rights reserved.